### Hierarchy

- EventTarget
  - PaymentRequest

## Index

### Properties

- EventTarget
- id
- onshippingaddresschange
- onshippingoptionchange
- shippingAddress
- shippingOption
- shippingType

### Methods

- abort
- addEventListener
- canMakePayment
- dispatchEvent
- removeEventListener
- show

## Properties

### EventTarget

EventTarget: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5081

#### Type declaration

- ##### constructor: function

  - new __type(): EventTarget
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5082

    #### Returns EventTarget

- ##### prototype: EventTarget

### id

id: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10877

### onshippingaddresschange

onshippingaddresschange: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10878

### onshippingoptionchange

onshippingoptionchange: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10879

### shippingAddress

shippingAddress: PaymentAddress | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10880

### shippingOption

shippingOption: string | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10881

### shippingType

shippingType: PaymentShippingType | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10882

## Methods

### abort

- abort(): Promise<void>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10883

  #### Returns Promise<void>

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10886

  #### Type parameters

  - #### K: keyof PaymentRequestEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: PaymentRequest, ev: PaymentRequestEventMap[K]): any

      - #### Parameters

        - ##### this: PaymentRequest

        - ##### ev: PaymentRequestEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10887

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### canMakePayment

- canMakePayment(): Promise<boolean>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10884

  #### Returns Promise<boolean>

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10888

  #### Type parameters

  - #### K: keyof PaymentRequestEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: PaymentRequest, ev: PaymentRequestEventMap[K]): any

      - #### Parameters

        - ##### this: PaymentRequest

        - ##### ev: PaymentRequestEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10889

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

### show

- show(): Promise<PaymentResponse>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10885

  #### Returns Promise<PaymentResponse>

Generated using TypeDoc